Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8264140

Add -Djava.security.manager=allow to JavaFX tests calling setSecurityManager

    XMLWordPrintable

    Details

      Description

      The security manager will be deprecated for removal in JDK 17 as part of JEP 411, JDK-8264713. Once this JEP is integrated, the JavaFX tests that set a security manager using System.setSecurityManager will fail when run using JDK 17 unless run with "java -Djava.security.manager=allow".

      We will build JavaFX using JDK 16 until after JDK 17 ships (so we won't switch until JavaFX 18), but we need todo this for JavaFX 17 so we can test builds of JavaFX 17 using JDK 17 without having several of the tests fail.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              kcr Kevin Rushforth
              Reporter:
              kcr Kevin Rushforth
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: